Bug 273781 - Testing for Fedora/ directory
Testing for Fedora/ directory
Product: Fedora
Classification: Fedora
Component: python-virtinst (Show other bugs)
All All
medium Severity low
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
: 301001 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2007-09-01 08:13 EDT by Felix Bellaby
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-11 22:09:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Felix Bellaby 2007-09-01 08:13:16 EDT
The DistroManager.py script tests for the existence of a Fedora subdirectory of
the install location to determine whether the location is valid. However, the
Fedora rawhide mirrors are using Packages rather than Fedora as the directory
containing the RPMS.

As a result, virt-install fails to install a virtual machine based on the
development version of Fedora. 

It would be sensible to base the test on some other directory (e.g. images/xen).
Comment 1 Daniel Berrange 2007-09-07 12:15:57 EDT
I can't test for images/xen because this has to work for older Fedora with only
bare metal support too.  I don't want to just test for 'images/' because other
distros use a similar thing. Finally the URI we test for needs to be small to
avoid downloading lots of data.

So I think I'll make the test look for 'fedora.css' in the top level dir (works
for Fedora 8 -> Fedora 5), and if that's missing try 'Fedora/' (which works for
versions back to Fedora 1).
Comment 2 Daniel Berrange 2007-09-11 22:09:12 EDT
Fix will be in rawhide shortly

* Tue Sep 11 2007 Daniel P. Berrange <berrange@redhat.com> - 0.300.0-2.fc8
- Fixed detection of Fedora 8 distro trees (rhbz #273781)
Comment 3 Daniel Berrange 2007-09-21 14:47:37 EDT
*** Bug 301001 has been marked as a duplicate of this bug. ***
Comment 4 Michael Carney 2007-09-24 09:57:24 EDT
You really should define an explicit holder in the distro for identifying a
Redhat distro. Perhaps a file called RedHat, with key / value pairs contained
within to uniquely identify the release/version. Depending on artifacts of the
distro root for this is fraught with peril, as happened with the /Fedora ->
/Packages fiasco. So now we're going to do exactly the same thing, and instead
use another artifact - fedora.css for this purpose? Great... This will work
until someone else innocently renames or replaces this file, not realizing its
dual significance.
Comment 5 Felix Bellaby 2007-09-25 07:42:11 EDT
The Fedora distribution tree could usefully include a file to identify it that
records the current metadata checksum. This would not only enable yum to
determine whether it was looking at a Fedora mirror, but it could also determine
whether that mirror was up to date. This would avoid downloading 5-10MB of data
simply in order to conclude that a mirror is out of date. The checksum could
still be checked against the metadata after it has been downloaded to ensure its

Note You need to log in before you can comment on or make changes to this bug.